/***************************************************************************

    copyright            : (C) 2000 by Miguel Angel Blanch Lardin

    email                : x5101920@fedro.ugr.es

 ***************************************************************************/

/***************************************************************************

 *                                                                         *

 *   This program is free software; you can redistribute it and/or modify  *

 *   it under the terms of the GNU General Public License as published by  *

 *   the Free Software Foundation; either version 2 of the License, or     *

 *   (at your option) any later version.                                   *

 *                                                                         *

 ***************************************************************************/

/***************************************************************************

    Basic chat window with a edit line and a box of text.

***************************************************************************/

#include "ChatWindow.h"



ChatWindow::ChatWindow(SDLWidget* parent, SDL_Rect& r, char* windowtext):SDLWindow(parent, r, windowtext)

  {

  WidgetList = new SDLWidgetList(this, SDLWidget::mkrect(3, 20,393,100));



  SDLLabel *label=new SDLLabel(NULL, SDLWidget::mkrect(0,0,300,20),"Welcome to Arianne 1.0.0 ALPHA 1");

  label->SetAlignment(TA_LEFT);

  WidgetList->AddWidget(label);



  edit=new SDLLineEdit_CALLBACK(this, SDLWidget::mkrect(3,125,393,20));

  }



void ChatWindow::AddTextLine(char *Text)

  {

  SDLLabel *label=new SDLLabel(NULL, SDLWidget::mkrect(0,0,300,20),Text);

  label->SetAlignment(TA_LEFT);

  

  WidgetList->AddWidget(label);

  WidgetList->Show();

  }



void ChatWindow::SetEditLineCallBack(void(*f)(char *Text))

  {

  edit->SetCallBackFunction(f);

  }

