/***************************************************************************

    copyright            : (C) 2000 by Miguel Angel Blanch Lardin

    email                : x5101920@fedro.ugr.es

 ***************************************************************************/

/***************************************************************************

 *                                                                         *

 *   This program is free software; you can redistribute it and/or modify  *

 *   it under the terms of the GNU General Public License as published by  *

 *   the Free Software Foundation; either version 2 of the License, or     *

 *   (at your option) any later version.                                   *

 *                                                                         *

 ***************************************************************************/

/***************************************************************************

    Extented lineEdit to add CALLBACK when the user press ENTER.

***************************************************************************/

#include "SDLLineEdit_C.h"



SDLLineEdit_CALLBACK::SDLLineEdit_CALLBACK(SDLWidget* parent, SDL_Rect& r):SDLLineEdit(parent,r)

  {

  f=NULL;

  }



void SDLLineEdit_CALLBACK::SetCallBackFunction(void(*f)(char *Text))

  {

  this->f=f;

  }



void SDLLineEdit_CALLBACK::EditEnd()

  {

  if(f!=NULL)

    {

    f((char *)GetText());

    }



  SetText("");

  }

