#ifndef ARIANNE_ATask_H 
#define ARIANNE_ATask_H

#include "general.h"
#include "ATime.h"
#include "Action.h"

/**
This is the abstraction of a task. 
*/
class ATask
  {
  ATime Time;
  Sint32 Length;
  Action *action;

  BOOL internal;
  BOOL done;

  public:
  ATask();
  ~ATask();
  BOOL shouldRun(ATime &Time);
  BOOL isInternal();
  BOOL isDone();

  void SetAction(Action *act,BOOL Internal);
  void SetTime(ATime &Time,Uint32 Length);
  void Done();

  operator Action *() const 
    {
    return action;
    }
  };

#endif