/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "ATime.h"

ATime::ATime()
  {
  Second=Minute=Hour=0;
  Day=0;
  Year=0;
  }

ATime::~ATime()
  {
  }

int ATime::operator <(ATime& tm)
  {
  Sint32 diff=0;

  diff+=tm.Second-Second;
  diff+=tm.Minute-Minute;
  diff+=tm.Hour-Hour;
  diff+=tm.Day-Day;
  diff+=tm.Year-Year;

  if(diff<=0) 
    {
    return 1;
    }

  return 0;
  }

int ATime::operator >(ATime& tm)
  {
  Sint32 diff=0;

  diff+=tm.Second-Second;
  diff+=tm.Minute-Minute;
  diff+=tm.Hour-Hour;
  diff+=tm.Day-Day;
  diff+=tm.Year-Year;

  if(diff>=0) 
    {
    return 1;
    }

  return 0;
  }


int ATime::operator ==(ATime& tm)
  {
  Sint32 diff=0;

  diff+=tm.Second-Second;
  diff+=tm.Minute-Minute;
  diff+=tm.Hour-Hour;
  diff+=tm.Day-Day;
  diff+=tm.Year-Year;

  if(diff!=0) 
    {
    return 1;
    }

  return 0;
  }

AString *ATime::ToString()
  {
  char *Buffer=new char[256];

  sprintf(Buffer,"%i:%i:%i  %i/%i",Hour,Minute,Second,Day,Year);
  AString *tmp=new AString(Buffer);

  return tmp;
  }


