/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
    This an abstraction of a common Uint16 variable.
***************************************************************************/
#include "AUint16.h"

AUint16::AUint16()
  {
  value=0;
  }

AUint16::AUint16(Uint16 tmp)
  {
  value=tmp;
  }

AUint16::operator Uint16(void)
  {
  return value;
  }

int AUint16::operator=(Uint16 newvalue)
  {
  return value=newvalue;
  }

Uint32 AUint16::GetSize()
  {
  return sizeof(Uint16);
  }

void AUint16::ToVector(AVector *Vector)
  {
  assert(Vector!=NULL);

  AVector *tmp=new AVector();
  tmp->SetVectorSize(GetSize());

  Uint8 Word[2];
  SDLNet_Write16(value,Word);
  tmp->AddUint8(Word,GetSize());

  (*Vector)+tmp;
  delete tmp;
  }

void AUint16::FromVector(AVector* data)
  {
  assert(data!=NULL);

  Uint8 Word[2];
  data->GetUint8(Word,GetSize());
  value=SDLNet_Read16(Word);
  }