#include "Action_MOVE.h"

Uint16 Action_MOVE::sType=ARIANNE_MOVE;

Action_MOVE::Action_MOVE()
  {
  }

Action_MOVE::~Action_MOVE()
  {
  }

/**
This method return an array of chars
**/
Action * Action_MOVE::ToGeneric()
  {
  Action *tmp=new Action;
  tmp->SourceID=SourceID;
  tmp->TargetID=TargetID;
  tmp->x=x;
  tmp->y=y;
  tmp->z=z;
  tmp->TypeAction=sType;

  Pos.ToVector(tmp->Data);

  return tmp;
  }
  
/**
This method fill the object with data from an array of chars
**/
void Action_MOVE::FromGeneric(Action *action)
  {
  assert(action!=NULL);

  SourceID=action->SourceID;
  TargetID=action->TargetID;
  x=action->x;
  y=action->y;
  z=action->z;

  Pos.FromVector(action->Data);
  }
  
Uint16 Action_MOVE::GetSize()
  {
  return Pos.GetSize();
  }

void Action_MOVE::SetPos(Position Pos)
  {
  this->Pos=Pos;
  }

Position Action_MOVE::GetPos()
  {
  return Pos;
  }
  
void Action_MOVE::SetSourceID(Uint32 SourceID)
  {
  this->SourceID=SourceID;
  }
  
Uint32 Action_MOVE::GetSourceID()
  {
  return SourceID;
  }
  
void Action_MOVE::SetTargetID(Uint32 TargetID)
  {
  this->TargetID=TargetID;
  }
  
Uint32 Action_MOVE::GetTargetID()
  {
  return TargetID;
  }
  
void Action_MOVE::SetXYZ(Uint32 x,Uint32 y,Uint32 z)
  {
  this->x=x;
  this->y=y;
  this->z=z;
  }
  
void Action_MOVE::GetXYZ(Uint32 *x,Uint32 *y,Uint32 *z)
  {
  assert(x!=NULL);
  assert(y!=NULL);
  assert(z!=NULL);

  x[0]=this->x;
  y[0]=this->y;
  z[0]=this->z;
  }
  
