/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
    This class is suppose to load the character from disk or look it on 
    the net of servers. 
    But by now it only create a new character.
***************************************************************************/
#include "CharacterManager.h"
#include "Object.h"
#include "templock.h"

#include <stdlib.h>

Mutex CharacterManager::m_mutex;
Uint32 CharacterManager::i=0;

Object* CharacterManager::LookFor(char const* Name,char const* Password)
  {
  TempLock lock(m_mutex);

  Object *obj=new Object;
  Position pos;
  pos.SetXYZ(rand()%100,rand()%70,1);
  pos.SetYRP(rand()%256,rand()%256,0);
  obj->SetPos(pos);

  GFXResume resume;
  resume.SetBasicType(rand()%59);
  obj->SetGFXResume(resume);

  obj->mID=i++;

  return obj;
  }
