#ifndef ARIANNE_DataLoader_H
#define ARIANNE_DataLoader_H

#include "general.h"
#include "astring.h"
/**
This class load all the data from files needed by Arianne.
Merging all here makes easier to modify and debug it.
**/
class DataLoader
  {
  /* Data .... */

  static AString Filename;

  public:
/*  DataLoader(char *File);
  ~DataLoader();*/
  static void Init(char const* File);

  static AString GetCharacterName();
  static AString GetCharacterPassword();

  static AString GetHostName();
  static Uint16 GetHostPort();
  static AString GetProxyName();
  static Uint16 GetProxyPort();
  static Uint16 GetUseProxy();

  static Uint32 GetTimeout();

  static Uint16 GetWidth();
  static Uint16 GetHeight();
  static Uint8 GetDepth();
  static BOOL GetFullscreen();

  static AString GetReportFile();
  static AString GetReportHTMLFile();
  static AString GetErrorsFile();

  static void SetCharacterName(char *tmp);
  static void SetCharacterPassword(char *tmp);

  static void SetHostName(char *tmp);
  static void SetHostPort(Uint16 tmp); 
  static void SetTimeout(Uint32 tmp);
  };


#endif
