#ifndef __ARIANNE_RPG_GFXResume_hpp
#define __ARIANNE_RPG_GFXResume_hpp

#include "general.h"
#include "GFXData.h"

/**
This is a resume of what is the GFX the object have.
**/
class GFXResume
  {
  AUint32 BasicType;
  AUint8 Modification;
  AUint8 HeadMod;
  AUint8 BodyMod;
  AUint8 LegsMod;

  public:
  GFXResume();
  ~GFXResume();

  /** This should return an unique GFX id from the info contained */
  Uint32 GetGFXData();
  void SetBasicType(Uint32 type);
  void SetModification(Uint8 type);
  void SetHeadMod(Uint8 type);
  void SetBodyMod(Uint8 type);
  void SetLegsMod(Uint8 type);
  Uint32 GetBasicType();
  Uint8 GetModification();
  Uint8 GetHeadMod();
  Uint8 GetBodyMod();
  Uint8 GetLegsMod();

  Uint16 GetSize();
  void ToVector(AVector *vec);
  void FromVector(AVector *vec);
  };

#endif