#ifndef ARIANNE_ABUTTON
#define ARIANNE_ABUTTON


#include "AWidget.h"
#include "AppBase.h"

class AButton : public AWidget
  {
  public:
  AButton(SDL_Surface* sur, SDL_Surface* on_sur);
  AButton(AString path, AString on_path );
  ~AButton();

  int getButtonID();
  void setButtonID(int num);

  virtual void draw( SDL_Rect* localClip, SDL_Rect* globalClip );

  virtual BOOL handleMouseDown(SDL_Event* e);
  virtual BOOL handleMouseMove(SDL_Event* e);
  virtual BOOL handleMouseUp(SDL_Event* e);

  protected:
  SDL_Surface*		on_surface;
  BOOL				pressed;

  private:
  AppBase* application;
  int ButtonID;
  };

#endif