#include "AShapedWidget.h"



AShapedWidget::AShapedWidget( SDL_Surface* surface, GUIPart* parent)
	: GUIShape( surface, parent )
{
	setDefaultAcceptMouse( true );
	setDefaultAcceptKey( false );
	setAcceptMouse( true );
	setAcceptKey( false );
}


AShapedWidget::AShapedWidget( AString filepath, GUIPart* parent)
	: GUIShape( filepath, parent )
{
	setDefaultAcceptMouse( true );
	setDefaultAcceptKey( false );
	setAcceptMouse( true );
	setAcceptKey( false );
}

AShapedWidget::~AShapedWidget()
{
}

void
AShapedWidget::setVisible( BOOL visible )
{
	GUIShape::setVisible( visible );
	if( ! visible )
	{
		setAcceptMouse( false );
		setAcceptKey( false );
	}
	else
		restoreAcceptStatus();
}

BOOL
AShapedWidget::handleCommand( SDL_Event* e )
{
	if( isVisible() )
		return ACommander::handleCommand( e );
	else
		return false;	
}
