#include "AWidget.h"



AWidget::AWidget( SDL_Surface* surface, GUIPart* parent)
	: GUIPart( surface, parent )
{
	setDefaultAcceptMouse( true );		// Mouse sensitive
	setDefaultAcceptKey( false );		// Key not sensitive
	setAcceptMouse( true );
	setAcceptKey( false );
}

AWidget::AWidget( AString filepath, GUIPart* parent)
	: GUIPart( filepath, parent )
{
	setDefaultAcceptMouse( true );		// Mouse sensitive
	setDefaultAcceptKey( false );		// Key not sensitive
	setAcceptMouse( true );
	setAcceptKey( false );
}


AWidget::~AWidget()
{
}

void
AWidget::setVisible( BOOL visible )
{
	GUIPart::setVisible( visible );

	if( ! visible )
	{
		setAcceptMouse( false );
		setAcceptKey( false );
	}
	else
		restoreAcceptStatus();
}

BOOL
AWidget::handleCommand( SDL_Event* e )
{
	if( isVisible())
		return ACommander::handleCommand( e );
	else
		return false;
}