#ifndef GUISHAPE_H
#define GUISHAPE_H

#include "../general.h"
#include "GUIPart.h"
#include "../List.h"

class GUIShape : public GUIPart
{
	public:

	LIST*			children;
	
	GUIShape( SDL_Surface* surface, GUIPart* parent = NULL );
	GUIShape( AString filename, GUIPart* parent = NULL );
	~GUIShape();

	// Virtual functions.
	// Override them to implement custom drawing.

	virtual BOOL	ptInPart( int ptx, int pty );

	// Public functions.
};
#endif // GUISHAPE_H