#include "SendTextMessage.h"
#include "../Messages.h"
#include "../Actions.h"

SendTextMessage::SendTextMessage(MessageManager *mesMan,Uint32 Source)
  {
  this->mesMan=mesMan;
  this->Source=Source;
  }

SendTextMessage::~SendTextMessage()
  {
  mesMan=0;
  }

void SendTextMessage::Update(Uint32 Source,Position Pos)
  {
  this->Pos=Pos;
  this->Source=Source;
  }

BOOL SendTextMessage::execCommand(GenericCommand* com)
  {
  assert(com!=NULL);

  BOOL done = false;
  switch( com->type )
    {
	case ARIANNE_COM_TEXT_ADD:
      {
  	  done = true;
      Message_C2S_ACTION *mes_c2s_action=new Message_C2S_ACTION(mesMan);

      Action_CHAT *tmpChat=new Action_CHAT;
      tmpChat->SetText((char*)com->GetCommand());
      tmpChat->SetSourceID(Source);
      Uint32 x,y,z;
      Pos.GetXYZ(&x,&y,&z);
      tmpChat->SetXYZ(x,y,z);

      Action *tmpAction=tmpChat->ToGeneric();

      mes_c2s_action->Setaction(tmpAction);
      mes_c2s_action->Put();      

      delete tmpChat;
      //delete tmpAction;
      delete mes_c2s_action;
      }
	  break;
	}
  return done;
  }  
