/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
***************************************************************************/
#include "Goals.h"

Goals::Goals(Uint32 player)
  {
  mID=player;
  goals=new AList<Uint8>;
  }

Goals::~Goals()
  {
  mID=0;
  delete goals;
  }


void Goals::AddGoal(Uint8 goal)
  {
  Uint8 *tmp=new Uint8;
  tmp[0]=goal;

  goals->Add(tmp);
  }

void Goals::RemoveGoal(Uint32 i)
  {
  goals->Free(i);
  }

Uint8 Goals::GetGoal(Uint32 i)
  {
  return ((*goals)[i])[0];
  }

Uint32 Goals::Size()
  {
  return goals->Size();
  }
  

