#ifndef __ARIANNE_RPG_Log_h
#define __ARIANNE_RPG_Log_h

#include "general.h"
#include "mutex.h"

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

/**
This a Log class.
**/
class Log
  {
  static FILE *Handle;
  static Mutex m_mutex;

  public:
  static void SetLogFile(FILE *Handle);
  static void SetLogFile(char *FileName);
  static void Info(const char *fmt, ...);
  static void Warning(const char *fmt, ...);
  static void Debug(const char *fmt, ...);
  static void Error(const char *fmt, ...);
  };

#endif
