#ifndef ARIANNE_C2S_ACTION_h
#define ARIANNE_C2S_ACTION_h

#include "../general.h"
#include "../MessageManager.h"
#include "../Action.h"


class Message_C2S_ACTION: public Disposable
  {
  MessageManager *mMesMan;
  static char sType;
  static char sSubtype;
  static char sPriority;
  Uint32 ID;
  Action *action;

  public:
  Message_C2S_ACTION(MessageManager *MesMan);
  ~Message_C2S_ACTION();
  char GetType() {return sType;};
  char GetSubtype() {return sSubtype;};
  char GetPriority() {return sPriority;};
  Uint16 GetSize();
  void ToVector(AVector *vector);
  void FromVector(AVector *Data);
  BOOL isEmpty(Uint32 ID=0);
  void Put(Uint32 ID=0);
  BOOL Get(Uint32 ID=0);

  void Setaction(Action *action);
  Action* Getaction();
  };

#endif
