#ifndef ARIANNE_C2S_LOGIN_h
#define ARIANNE_C2S_LOGIN_h

#include "../general.h"
#include "../MessageManager.h"

class Message_C2S_LOGIN: public Disposable
  {
  MessageManager *mMesMan;
  static char sType;
  static char sSubtype;
  static char sPriority;
  Uint32 ID;
  AString ArianneVersionID;

  public:
  Message_C2S_LOGIN(MessageManager *MesMan);
  ~Message_C2S_LOGIN();
  char GetType() {return sType;};
  char GetSubtype() {return sSubtype;};
  char GetPriority() {return sPriority;};
  Uint16 GetSize();
  void ToVector(AVector *vector);
  void FromVector(AVector *Data);
  BOOL isEmpty(Uint32 ID=0);
  void Put(Uint32 ID=0);
  BOOL Get(Uint32 ID=0);

  void SetArianneVersionID(AString ArianneVersionID);
  AString GetArianneVersionID();
  };

#endif
