#ifndef ARIANNE_S2C_MAP_PIECE_h
#define ARIANNE_S2C_MAP_PIECE_h

#include "../general.h"
#include "../Terrain.h"
#include "../MessageManager.h"

class Message_S2C_MAP_PIECE: public Disposable
  {
  MessageManager *mMesMan;
  static char sType;
  static char sSubtype;
  static char sPriority;
  Uint32 ID;
  AList<Terrain>* terrains;

  public:
  Message_S2C_MAP_PIECE(MessageManager *MesMan);
  ~Message_S2C_MAP_PIECE();
  char GetType() {return sType;};
  char GetSubtype() {return sSubtype;};
  char GetPriority() {return sPriority;};
  Uint16 GetSize();
  void ToVector(AVector *vector);
  void FromVector(AVector *Data);
  BOOL isEmpty(Uint32 ID=0);
  void Put(Uint32 ID=0);
  BOOL Get(Uint32 ID=0);

  void Setterrains(AList<Terrain>* terrains);
  AList<Terrain>* Getterrains();
  };

#endif
