#ifndef ARIANNE_S2C_PERCEPTION_h
#define ARIANNE_S2C_PERCEPTION_h

#include "../general.h"
#include "../MessageManager.h"
#include "../Perception.h"
#include "../Object.h"

class Message_S2C_PERCEPTION: public Disposable
  {
  MessageManager *mMesMan;
  static char sType;
  static char sSubtype;
  static char sPriority;
  Uint32 ID;
  AList<Object>* Objects;
  Perception perception;
  ABool isCleverUpdated;
  AUint32 uID;

  public:
  Message_S2C_PERCEPTION(MessageManager *MesMan);
  ~Message_S2C_PERCEPTION();
  char GetType() {return sType;};
  char GetSubtype() {return sSubtype;};
  char GetPriority() {return sPriority;};
  Uint16 GetSize();
  void ToVector(AVector *vector);
  void FromVector(AVector *Data);
  BOOL isEmpty(Uint32 ID=0);
  void Put(Uint32 ID=0);
  BOOL Get(Uint32 ID=0);

  void SetObjects(AList<Object>* Objects);
  AList<Object>* GetObjects();
  void Setperception(Perception perception);
  Perception Getperception();
  void SetisCleverUpdated(ABool isCleverUpdated);
  ABool GetisCleverUpdated();
  void SetuID(AUint32 uID);
  AUint32 GetuID();
  };

#endif
