#ifndef ARIANNE_MessageManager_H
#define ARIANNE_MessageManager_H

#include "general.h"
#include "List.h"
#include "Queue.h"


/**
This class will manage speficic messages. 
This messages has a superior abstraction level that Queue messages.
**/
class MessageManager
  {
  Queue **mlQueues;
  
  public:
  MessageManager();
  ~MessageManager();

  int SizeQueues();
  Queue *GetQueue(int Position);
  void AddQueue(Queue *queue);

  BOOL IsEmpty(char type,char subtype,Uint32 ID);
  };

#endif