#ifndef ARIANNE_NetworkServerInit_H
#define ARIANNE_NetworkServerInit_H

#include "general.h"
#include "MessageManager.h"
#include "NetworkServerManager.h"
#include "PlayerID.h"

/**
This class init all the Network Layer, creating the queues, connecting things,
getting up sockets, and all these stuff.
**/
class NetworkServerInit
  {
  MessageManager *mMesMan;
  NetworkServerManager *mNetMan;

  public:
  NetworkServerInit();
  ~NetworkServerInit();
  MessageManager *GetMessageManager();
  NetworkServerManager *GetNetworkServerManager();
  void Init(char const* server=NULL,Uint16 port=0);
  void Run();
  void Shutdown();
  };

#endif