#ifndef ARIANNE_Player2ID_h
#define ARIANNE_Player2ID_h 

#include "general.h" 

#define ACTUAL_PLAYER actualPlayer
#define FOR_ALL_PLAYERS_DO for(int actualPlayer=0;actualPlayer<MAX_CONNECTIONS_PER_SERVER;actualPlayer++) if(player2id->Player(actualPlayer)!=-1)
#define FOR_ALL_PLAYERS_EXCEPT_DO(num) for(int actualPlayer=0;actualPlayer<MAX_CONNECTIONS_PER_SERVER;actualPlayer++) if(player2id->Player(actualPlayer)!=-1) if(actualPlayer!=num)

/**
This class store the relation between socket and character. 
**/
class Player2ID
  {
  Sint32 *mlID;
  Uint32 *mLastTime;

  public:
  Player2ID();
  ~Player2ID();
  /** Returns the Socket number */
  Sint32 ID(Uint32 Player);
  /** Returns the character UID */
  Sint32 Player(Uint32 ID);

  BOOL Add(Uint32 ID,Uint32 Player);
  BOOL Del(Uint32 ID);
  Uint32 GetLastTime(Uint32 ID);
  void UpdateTime(Uint32 ID);
  };

#endif