#ifndef __ARIANNE_RPG_Scheduler_h
#define __ARIANNE_RPG_Scheduler_h

#include "general.h"
#include "AList.h"
#include "ATime.h"
#include "ATask.h"

/**
This class is an scheduler to run tasks 
**/
class Scheduler
  {
  AList<ATask> *Task;

  public:
  Scheduler();
  ~Scheduler();

  void AddTask(ATask& task);
  void CancelTask(ATask& task);

  void Run(ATime& actual,ATime& last);
  ATask *Convert(Action *action,ATime& atime,Uint16 length);
  };

#endif