#ifndef ARIANNE_SOCKETSET_H
#define ARIANNE_SOCKETSET_H

#include "general.h"
#include "Socket.h"

/**
This class is useful to test if there is data on a given socket.
You need to store the socket so that you can test it.
**/
class SocketSet
  {
  SDLNet_SocketSet socketset;

  public:
  SocketSet(int NumConnections=MAX_CONNECTIONS_PER_SET);
  ~SocketSet();

  void Add(Socket *s);
  void Del(Socket *s);
  void Check(Uint32 timeout);
  BOOL isReady(Socket *s);
  };

#endif