/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
    This class is useful to know if a given amount of time has gone.
    It is usefull for a timelimit polling.
***************************************************************************/
#include "TimedWait.h"

TimedWait::TimedWait()
  {
  finished=TRUE;
  }

/**
Returns true if the counter hasn't expired yet.
**/
BOOL TimedWait::hasExpired(Uint32 Delay)
  {
  if(finished==TRUE)
    {
    begin=SDL_GetTicks();
    finished=FALSE;
    }

  Uint32 current=SDL_GetTicks();
  if(current>=begin+Delay)
    {
    finished=TRUE;
    return TRUE;
    }

  return FALSE;
  }

