#ifndef __ARIANNE_RPG_WorldManagers_h
#define __ARIANNE_RPG_WorldManagers_h

#include "general.h"
#include "AList.h"
#include "Object.h"

class World;

class WorldManagers
  {
  AString NameOfManager;
  AList<Object> *Objects;

  public:
  WorldManagers(AString& NameOfManager);
  virtual ~WorldManagers();

  virtual void LoadManager(AString DataPath);
  virtual void SaveManager(AString DataPath);

  Object *GetObject(Uint32 uID);
  Object *GetObject(Object *object);
  void AddObject(Object *object);
  void RemoveObject(Object *object);
  void RemoveObject(Uint32 uID);
 
  virtual void Animate(World *world);
  AString GetInfo();
  };

#endif