/***************************************************************************

                          testthread.h  -  description

                             -------------------

    begin                : Tue Jul 4 2000

    copyright            : (C) 2000 by Ulrich Eckhardt

    email                : Doomster@knuut.de

 ***************************************************************************/



/***************************************************************************

 *                                                                         *

 *   This program is free software; you can redistribute it and/or modify  *

 *   it under the terms of the GNU General Public License as published by  *

 *   the Free Software Foundation; either version 2 of the License, or     *

 *   (at your option) any later version.                                   *

 *                                                                         *

 ***************************************************************************/



#ifndef TESTTHREAD_H

#define TESTTHREAD_H



#include "../common/thread.h"

#include "../common/mutex.h"

/**

  *@author Ulrich Eckhardt

  */



class TestThread:

	public Thread

{

public: 

	TestThread(int);

	~TestThread();

	virtual int threadFunction();

	static Mutex m_mutex;

	int m_val;

	static int s;

private:

	TestThread(TestThread const&);

	TestThread& operator=(TestThread const&);

};



#endif

