/***************************************************************************
    copyright            : (C) 2000 by 
    email                : 
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
    This is function check for command line argument.
***************************************************************************/
#include "../common/general.h"
#include "../common/Log.h"
#include <iostream>

AString g_configFile="./Arianne.ini";

void parseCMDLine(int argc, char** argv)
  {
  int i;

  if(argc<2) return;

  // put the line into an AString-array for convenience
  AString *cmdline=new AString[argc];
  for(i=0; i!=argc; ++i)
    {
    cmdline[i] = argv[i];
    }

  // start parsing at index 1 because 0 is the programs name
  for(i=0; i!=argc; ++i)
    {
    Log::Debug("Parsing %s",(char const*)(cmdline[i]));
    if(cmdline[i] == "--config-file" || cmdline[i] == "-c")
        {
            if(++i != argc)
                g_configFile = cmdline[i];
        }
        else
        {
            std::cout << "usage:" << std::endl
                << "-h | --help : for usage info" << std::endl
                << "-c | --config-file \"file\" : to specify the file to read configuration from" << std::endl;
        }
    }
  delete cmdline;
  }
