/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
    This an abstraction of a common BOOL variable.
***************************************************************************/
#include "ABool.h"

ABool::ABool()
  {
  value=FALSE;
  }

ABool::ABool(Uint8 tmp)
  {
  value=tmp;
  }

ABool::operator Uint8(void)
  {
  return value;
  }

int ABool::operator=(Uint8 newvalue)
  {
  return value=newvalue;
  }

int ABool::GetSize()
  {
  return sizeof(Uint8);
  }


void ABool::ToVector(AVector *Vector)
  {
  assert(Vector!=NULL);

  AVector *tmp=new AVector();
  tmp->SetVectorSize(GetSize());
  tmp->AddUint8(&value,GetSize());
 
  (*Vector)+tmp;
  delete tmp;
  }

void ABool::FromVector(AVector *data)
  {
  assert(data!=NULL);

  data->GetUint8(&value,GetSize());
  }
