#ifndef ARIANNE_ABOOL_h
#define ARIANNE_ABOOL_h

#include "general.h"

/** This class is an abstraction of a boolean value */
class ABool
  {
  Uint8 value;

  public:
  ABool();
  ABool(Uint8 tmp);
  operator Uint8(void);
  int operator=(Uint8 newvalue);
  /** This method returns the size in bytes of the object */
  int GetSize();
  /** This method convert the actual object to a vector-storable form. */
  void ToVector(AVector *Vector);
  /** This fill the actual object with data from a vector. */
  void FromVector(AVector *data);
  };

#endif