/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
***************************************************************************/
#include "AISimpleManager.h"
#include "Log.h"

AISimpleManager::AISimpleManager(AString& NameOfManager):AIManagers(NameOfManager)
  {
  listObjetives=new AList<Goals>;
  }

AISimpleManager::~AISimpleManager()
  {
  delete listObjetives;
  }

void AISimpleManager::LoadManager(AString DataPath)
  {
  }

void AISimpleManager::SaveManager(AString DataPath)
  {
  }

void AISimpleManager::Animate(World *world)
  {
  }

Goals *AISimpleManager::GetGoals(Goals *goals)
  {
  assert(goals);

  for(Uint32 i=0;i<listObjetives->Size();i++)
    {
    Goals *tmp=(*listObjetives)[i];
    if(tmp->mID==goals->mID)
      {
      return tmp;
      }
    }
  
  return NULL;
  }

void AISimpleManager::AddGoals(Goals *goals)
  {
  assert(goals);

  listObjetives->Add(goals);
  }


void AISimpleManager::RemoveGoals(Goals *goals)
  {
  assert(goals);

  for(Uint32 i=0;i<listObjetives->Size();i++)
    {
    Goals *tmp=(*listObjetives)[i];
    if(tmp->mID==goals->mID)
      {
      listObjetives->Free(i);
      return;
      }
    }

  return;
  }
