#ifndef __ARIANNE_RPG_AISimpleManagers_h
#define __ARIANNE_RPG_AISimpleManagers_h

#include "AIManagers.h"
#include "Goals.h"

class AISimpleManager: public AIManagers
  {
  AList<Goals> *listObjetives;

  public:
  AISimpleManager(AString& NameOfManager);
  ~AISimpleManager();

  Goals *GetGoals(Goals *goal);
  void AddGoals(Goals *goal);
  void RemoveGoals(Goals *goal);

  void LoadManager(AString DataPath);
  void SaveManager(AString DataPath);
  void Animate(World *world);
  };

#endif