/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "ATask.h"

ATask::ATask()
  {
  Length=0;
  action=0;
  internal=TRUE;
  done=FALSE;
  }

ATask::~ATask()
  {
  if(action)
    {
    delete action;
    action=0;
    }
  }

BOOL ATask::shouldRun(ATime &Time)
  {
  if(this->Time>Time || this->Time==Time)
    {
    return TRUE; 
    }
  
  return FALSE;
  }

BOOL ATask::isDone()
  {
  return done;
  }

BOOL ATask::isInternal()
  {
  return done;
  }

void ATask::SetAction(Action *act,BOOL Internal)
  {
  assert(act!=NULL);

  action=act;
  internal=Internal;
  }

void ATask::SetTime(ATime &Time,Uint32 Length)
  {
  this->Time=Time;
  this->Length=Length;  
  }

void ATask::Done()
  {
  done=TRUE;
  }


