/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
    This an abstraction of a common Uint8 variable.
***************************************************************************/
#include "AUint8.h"

AUint8::AUint8()
  {
  value=0;
  }

AUint8::AUint8(Uint8 tmp)
  {
  value=tmp;
  }

AUint8::operator Uint8(void)
  {
  return value;
  }

int AUint8::operator=(Uint8 newvalue)
  {
  return value=newvalue;
  }

Uint32 AUint8::GetSize()
  {
  return sizeof(Uint8);
  }

void AUint8::ToVector(AVector *Vector)
  {
  assert(Vector!=NULL);

  AVector *tmp=new AVector();
  tmp->SetVectorSize(GetSize());
  tmp->AddUint8(&value,GetSize());

  (*Vector)+tmp;
  delete tmp;
  }

void AUint8::FromVector(AVector* data)
  {
  assert(data!=NULL);

  data->GetUint8(&value,GetSize());
  }
 