#ifndef __ARIANNE_AVECTOR_H
#define __ARIANNE_AVECTOR_H


#include <SDL/SDL.h>
#include <stdlib.h>

class AVector
  {
  Uint8 *vector;
  Uint32 size;
  Uint32 MaxSize;
  Uint32 i;

  public:
  AVector();
  ~AVector();
  Uint8* Get();
  void SetVectorSize(Uint32 size);
  Uint32 GetVectorSize();
  void SetIndex(Uint32 i);
  void AddUint8(Uint8 *data,Uint32 size);
  void GetUint8(Uint8 *data,Uint32 size);
  int operator+(AVector* vec);
  Uint8 operator[](int index);
  void Reset();

  /** This method returns the size in bytes of the object */
  Uint32 GetSize();
  /** This method convert the actual object to a vector-storable form. */
  void ToVector(AVector *Vector);
  /** This fill the actual object with data from a vector. */
  void FromVector(AVector *data);

  AVector *Compress(Uint8 Compress=1);
  AVector *Decompress(Uint8 Decompress=1);
  };


#endif