#ifndef __ARIANNE_RPG_GenericAction_h
#define __ARIANNE_RPG_GenericAction_h

#include "general.h"
#include "Position.h"

/**
This a generic Action class.
**/
class Action
  {
  public:
  AUint16 TypeAction;
  AUint32 SourceID;
  AUint32 TargetID;
  AUint32 x,y,z;

  AVector *Data;

  Action();
  ~Action();

  /** Returns the type of the action */
  Uint16 GetType();
  /** Fill x,y and z fields from Pos info. */
  void XYZFromPos(Position *Pos);
  Uint16 GetSize();
  void ToVector(AVector *Vector);
  void FromVector(AVector *Vector);
  };
 

#endif