#include "Action_CHAT.h"

Uint16 Action_CHAT::sType=ARIANNE_CHAT;

Action_CHAT::Action_CHAT()
  {
  }

Action_CHAT::~Action_CHAT()
  {
  }

/**
This method return an array of chars
**/
Action *Action_CHAT::ToGeneric()
  {
  Action *tmp=new Action;
  tmp->SourceID=SourceID;
  tmp->TargetID=TargetID;
  tmp->x=x;
  tmp->y=y;
  tmp->z=z;
  tmp->TypeAction=sType;

  Text.ToVector(tmp->Data);
  return tmp;
  }
  
/**
This method fill the object with data from an array of chars
**/
void Action_CHAT::FromGeneric(Action *action)
  {
  assert(action!=NULL);
  
  SourceID=action->SourceID;
  TargetID=action->TargetID;
  x=action->x;
  y=action->y;
  z=action->z;
  Text.FromVector(action->Data);
  }
  
Uint16 Action_CHAT::GetSize()
  {
  return Text.GetSize();
  }
  
void Action_CHAT::SetText(AString Text)
  {
  this->Text=Text;
  }
  
AString Action_CHAT::GetText()
  {
  return Text;
  }
  
void Action_CHAT::SetSourceID(Uint32 SourceID)
  {
  this->SourceID=SourceID;
  }
  
Uint32 Action_CHAT::GetSourceID()
  {
  return SourceID;
  }
  
void Action_CHAT::SetTargetID(Uint32 TargetID)
  {
  this->TargetID=TargetID;
  }
  
Uint32 Action_CHAT::GetTargetID()
  {
  return TargetID;
  }
  
void Action_CHAT::SetXYZ(Uint32 x,Uint32 y,Uint32 z)
  {
  this->x=x;
  this->y=y;
  this->z=z;
  }
  
void Action_CHAT::GetXYZ(Uint32 *x,Uint32 *y,Uint32 *z)
  {
  assert(x!=NULL);
  assert(y!=NULL);
  assert(z!=NULL);
    
  x[0]=this->x;
  y[0]=this->y;
  z[0]=this->z;
  }
  
