#ifndef ARIANNE_MOVE_h
#define ARIANNE_MOVE_h

#include "../general.h"
#include "../Action.h"

class Action_MOVE: public Disposable
  {
  static Uint16 sType;
  Uint32 SourceID;
  Uint32 TargetID;
  Uint32 x,y,z;
  Position Pos;

  public:
  Action_MOVE();
  ~Action_MOVE();
  Action *ToGeneric();
  void FromGeneric(Action *Data);
  Uint16 GetSize();

  void SetPos(Position Pos);
  Position GetPos();
  void SetSourceID(Uint32 SourceID);
  Uint32 GetSourceID();
  void SetTargetID(Uint32 TargetID);
  Uint32 GetTargetID();
  void SetXYZ(Uint32 x,Uint32 y,Uint32 z);
  void GetXYZ(Uint32 *x,Uint32 *y,Uint32 *z);
  };

#endif
