/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
    This class store the basic information to describe what GFX a
	object should have.

    It also create new GFXData objects by mixing old ones.
***************************************************************************/
#include "GFXResume.h"

GFXResume::GFXResume()
  {
  }

GFXResume::~GFXResume()
  {
  }

Uint32 GFXResume::GetGFXData()
  {
  return BasicType;
  }

void GFXResume::SetBasicType(Uint32 type)
  {
  BasicType=type;
  }

void GFXResume::SetModification(Uint8 type)
  {
  Modification=type;
  }

void GFXResume::SetHeadMod(Uint8 type)
  {
  HeadMod=type;
  }

void GFXResume::SetBodyMod(Uint8 type)
  {
  BodyMod=type;
  }

void GFXResume::SetLegsMod(Uint8 type)
  {
  LegsMod=type;
  }

Uint32 GFXResume::GetBasicType()
  {
  return (Uint32)BasicType;
  }

Uint8 GFXResume::GetModification()
  {
  return (Uint8)Modification;
  }

Uint8 GFXResume::GetHeadMod()
  {
  return (Uint8)HeadMod;
  }

Uint8 GFXResume::GetBodyMod()
  {
  return (Uint8)BodyMod;
  }

Uint8 GFXResume::GetLegsMod()
  {
  return (Uint8)LegsMod;
  }


Uint16 GFXResume::GetSize()
  {
  return BasicType.GetSize();
  /*+Modification.GetSize()+HeadMod.GetSize()+BodyMod.GetSize()+LegsMod.GetSize();*/
  }

void GFXResume::ToVector(AVector *vec)
  {
  
  BasicType.ToVector(vec);
/*  Modification.ToVector(vec);
  HeadMod.ToVector(vec);
  BodyMod.ToVector(vec);
  LegsMod.ToVector(vec);*/
  }

void GFXResume::FromVector(AVector *vec)
  {
  BasicType.FromVector(vec);
/*  Modification.FromVector(vec);
  HeadMod.FromVector(vec);
  BodyMod.FromVector(vec);
  LegsMod.FromVector(vec);*/
  }

  
