/***************************************************************************
    copyright            : (C) 2000 by Masahiro Minami
    email                : elsur@aaa.letter.co.jp
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "AnimatingIconSample.h"
#include <math.h>

AnimatingIconSample::AnimatingIconSample( AString filepath )
	: AnimatingIcon( filepath )
{
	angle = 0;
}

AnimatingIconSample::~AnimatingIconSample()
{
}

void
AnimatingIconSample::animate()
{
	angle += 10;
	if( angle > 360 )
		angle = 0;
	
	int newX, newY, r;
	double centerX, centerY;
	double rad = 3.14 / 180 * angle;
	centerX = getParent()->getRectRef()->w / 2 - partRect.w;
	centerY = getParent()->getRectRef()->h / 2 - partRect.w;
	r = getParent()->getRectRef()->w / 2 - partRect.w;
	newX = (int)(centerX + cos(rad) * r);
	newY = (int)(centerY - sin( rad ) * r);
	setLocalLocation( newX, newY );
	AnimatingIcon::animate();
}