#ifndef GUISET_H
#define GUISET_H

// Command type defs.
#include "GUICommandSet.h"

// #include basic GUI headers
// The very basics
#include "GUIPart.h"
#include "ACommander.h"
#include "AWindow.h"
#include "AppBase.h"
#include "GenericCommand.h"

// Basic additions
#include "Label.h"
#include "LineEdit.h"
#include "AButton.h"
#include "Table.h"
#include "AnimatingIcon.h"
#include "Meter.h"
#include "TextBox.h"

// Basic utilities
#include "UTIL/GUIAnimator.h"
#include "UTIL/CommanderGroup.h"

// Extras
//#include "GUIShape.h"
//#include "ShapedWindow.h"

// Font setting
// Uncomment below define to enable SDL_ttf instead of Paul's bitmap font
//#define USE_SDL_TTF

#endif GUISET_H