#ifndef METER_H
#define METER_H

#include "../general.h"
#include "../FilePath.h"
#include "AWidget.h"

class
Meter : public AWidget
{
	public:
	
		enum
		{
			VERTICAL = 0,
			HORIZONTAL	
		};
		
		Uint32	max_value;
		Uint32	currentValue;
		Uint8	mode;
		SDL_Surface* meterSurface, *coverSurface;
		
		Meter( AString bg_path, AString meter_path, AString cover_path, Uint8 mode = VERTICAL );
		~Meter();
		
	
		virtual void	draw( SDL_Rect* localClip, SDL_Rect* globalClip );
		virtual BOOL	execCommand( GenericCommand* com );
		
		void	setValue( Uint32 v );
		Uint32	getValue();
		
	private:
	
};

#endif