#ifndef TABLECELL_H
#define TABLECELL_H

#include "../general.h"

class TableCell : public Disposable
{
	public:
		void*	cellData;
		BOOL	hilite, focus;
		
		TableCell( void* data );
		~TableCell();
		
		void			setName( char* name );
		void			getName( char* outName );
		
		void			setSurface( AString filepath );
		void			setSurface( SDL_Surface* gfx );
		SDL_Surface*	getSurface();
		
	protected:
		char*	name;
		SDL_Surface* surface;
};

#endif // TABLECELL_H