#ifndef GUIANIMATOR_H
#define GUIANIMATOR_H

#include "../../general.h"
#include "AnimatorClient.h"
#include "../../AList.h"

class GUIAnimator
{
	public:
	
		Uint32	frameRate, lastTick;
		
		GUIAnimator();
		~GUIAnimator();
		
		BOOL		addClient( AnimatorClient* mem );
		BOOL		removeClient( AnimatorClient* mem );
		void		animate();
		void		setFrameRate( Uint32 rate );
		Uint32		getFrameRate();
		
	protected:
	private:
		AList<AnimatorClient>*	clientList;
};

#endif // GUIANIMATOR_H