#ifndef ARIANNE_C2S_ASK_MAP_PIECE_h
#define ARIANNE_C2S_ASK_MAP_PIECE_h

#include "../general.h"
#include "../MessageManager.h"

class Message_C2S_ASK_MAP_PIECE: public Disposable
  {
  MessageManager *mMesMan;
  static char sType;
  static char sSubtype;
  static char sPriority;
  Uint32 ID;
  AUint32 yend;
  AUint32 xend;
  AUint32 yinit;
  AUint32 xinit;
  AUint32 CRC;

  public:
  Message_C2S_ASK_MAP_PIECE(MessageManager *MesMan);
  ~Message_C2S_ASK_MAP_PIECE();
  char GetType() {return sType;};
  char GetSubtype() {return sSubtype;};
  char GetPriority() {return sPriority;};
  Uint16 GetSize();
  void ToVector(AVector *vector);
  void FromVector(AVector *Data);
  BOOL isEmpty(Uint32 ID=0);
  void Put(Uint32 ID=0);
  BOOL Get(Uint32 ID=0);

  void SetCRC(AUint32 yend);
  AUint32 GetCRC();
  void Setyend(AUint32 yend);
  AUint32 Getyend();
  void Setxend(AUint32 xend);
  AUint32 Getxend();
  void Setyinit(AUint32 yinit);
  AUint32 Getyinit();
  void Setxinit(AUint32 xinit);
  AUint32 Getxinit();
  };

#endif
