#ifndef ARIANNE_C2S_ASK_PERCEPTION_h
#define ARIANNE_C2S_ASK_PERCEPTION_h

#include "../general.h"
#include "../MessageManager.h"
#include "../Perception.h"

class Message_C2S_ASK_PERCEPTION: public Disposable
  {
  MessageManager *mMesMan;
  static char sType;
  static char sSubtype;
  static char sPriority;
  Uint32 ID;
  AUint32 uID;
  Perception perception;

  public:
  Message_C2S_ASK_PERCEPTION(MessageManager *MesMan);
  ~Message_C2S_ASK_PERCEPTION();
  char GetType() {return sType;};
  char GetSubtype() {return sSubtype;};
  char GetPriority() {return sPriority;};
  Uint16 GetSize();
  void ToVector(AVector *vector);
  void FromVector(AVector *Data);
  BOOL isEmpty(Uint32 ID=0);
  void Put(Uint32 ID=0);
  BOOL Get(Uint32 ID=0);

  void SetuID(AUint32 uID);
  AUint32 GetuID();
  void Setperception(Perception perception);
  Perception Getperception();
  };

#endif
