#ifndef ARIANNE_C2S_INFO_ABOUT_GAME_h
#define ARIANNE_C2S_INFO_ABOUT_GAME_h

#include "../general.h"
#include "../MessageManager.h"

class Message_C2S_INFO_ABOUT_GAME: public Disposable
  {
  MessageManager *mMesMan;
  static char sType;
  static char sSubtype;
  static char sPriority;
  Uint32 ID;
  AVector* VitalData;

  public:
  Message_C2S_INFO_ABOUT_GAME(MessageManager *MesMan);
  ~Message_C2S_INFO_ABOUT_GAME();
  char GetType() {return sType;};
  char GetSubtype() {return sSubtype;};
  char GetPriority() {return sPriority;};
  Uint16 GetSize();
  void ToVector(AVector *vector);
  void FromVector(AVector *Data);
  BOOL isEmpty(Uint32 ID=0);
  void Put(Uint32 ID=0);
  BOOL Get(Uint32 ID=0);

  void SetVitalData(AVector* VitalData);
  AVector* GetVitalData();
  };

#endif
