#ifndef ARIANNE_C2S_SYNCHRONISM_h
#define ARIANNE_C2S_SYNCHRONISM_h

#include "../general.h"
#include "../MessageManager.h"

class Message_C2S_SYNCHRONISM: public Disposable
  {
  MessageManager *mMesMan;
  static char sType;
  static char sSubtype;
  static char sPriority;
  Uint32 ID;

  public:
  Message_C2S_SYNCHRONISM(MessageManager *MesMan);
  ~Message_C2S_SYNCHRONISM();
  char GetType() {return sType;};
  char GetSubtype() {return sSubtype;};
  char GetPriority() {return sPriority;};
  Uint16 GetSize();
  void ToVector(AVector *vector);
  void FromVector(AVector *Data);
  BOOL isEmpty(Uint32 ID=0);
  void Put(Uint32 ID=0);
  BOOL Get(Uint32 ID=0);

  };

#endif
