#ifndef ARIANNE_C2S_SYSTEM_INFO_h
#define ARIANNE_C2S_SYSTEM_INFO_h

#include "../general.h"
#include "../MessageManager.h"

class Message_C2S_SYSTEM_INFO: public Disposable
  {
  MessageManager *mMesMan;
  static char sType;
  static char sSubtype;
  static char sPriority;
  Uint32 ID;
  AString SoundCard;
  AString VideoCard;
  AString Memory;
  AString Cpu;
  AString Os;

  public:
  Message_C2S_SYSTEM_INFO(MessageManager *MesMan);
  ~Message_C2S_SYSTEM_INFO();
  char GetType() {return sType;};
  char GetSubtype() {return sSubtype;};
  char GetPriority() {return sPriority;};
  Uint16 GetSize();
  void ToVector(AVector *vector);
  void FromVector(AVector *Data);
  BOOL isEmpty(Uint32 ID=0);
  void Put(Uint32 ID=0);
  BOOL Get(Uint32 ID=0);

  void SetSoundCard(AString SoundCard);
  AString GetSoundCard();
  void SetVideoCard(AString VideoCard);
  AString GetVideoCard();
  void SetMemory(AString Memory);
  AString GetMemory();
  void SetCpu(AString Cpu);
  AString GetCpu();
  void SetOs(AString Os);
  AString GetOs();
  };

#endif
