#ifndef ARIANNE_S2C_LOAD_CHARACTER_h
#define ARIANNE_S2C_LOAD_CHARACTER_h

#include "../general.h"
#include "../MessageManager.h"
#include "../Object.h"

class Message_S2C_LOAD_CHARACTER: public Disposable
  {
  MessageManager *mMesMan;
  static char sType;
  static char sSubtype;
  static char sPriority;
  Uint32 ID;
  ABool Accepted;
  Object* Character;

  public:
  Message_S2C_LOAD_CHARACTER(MessageManager *MesMan);
  ~Message_S2C_LOAD_CHARACTER();
  char GetType() {return sType;};
  char GetSubtype() {return sSubtype;};
  char GetPriority() {return sPriority;};
  Uint16 GetSize();
  void ToVector(AVector *vector);
  void FromVector(AVector *Data);
  BOOL isEmpty(Uint32 ID=0);
  void Put(Uint32 ID=0);
  BOOL Get(Uint32 ID=0);

  void SetAccepted(ABool Accepted);
  ABool GetAccepted();
  void SetCharacter(Object* Character);
  Object* GetCharacter();
  };

#endif
