/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
    This an abstraction of a common Perception.
    All the things that a player see/hear/touch/smell/feel are done 
    through perceptions

    Perhaps later thos class has more things, but now it it only an Uint8
***************************************************************************/
#include "Perception.h"


void Perception::SetType(Uint8 Type)
  {
  this->Type=Type;
  }

Uint8 Perception::GetType()
  {
  return (Uint8)Type;
  }


Uint16 Perception::GetSize()
  {
  return Type.GetSize();
  }

void Perception::ToVector(AVector *Vector)
  {
  assert(Vector!=NULL);
   
  Type.ToVector(Vector);
  }

void Perception::FromVector(AVector *Vector)
  {
  assert(Vector!=NULL);
   
  Type.FromVector(Vector);
  }
