/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
    This function collect info from the user computer. Only OS by now.     
***************************************************************************/
#include "SysInfo.h"

void SysInfo::GetSystemInfo(Message_C2S_SYSTEM_INFO *mes_c2s_system_info)
  {
  assert(mes_c2s_system_info!=NULL);

  #if defined(__linux__)
    mes_c2s_system_info->SetSoundCard("");
    mes_c2s_system_info->SetVideoCard("");
    mes_c2s_system_info->SetMemory("");
    mes_c2s_system_info->SetCpu("");
    mes_c2s_system_info->SetOs("Linux");
  #elif defined(WIN32)
    mes_c2s_system_info->SetSoundCard("");
    mes_c2s_system_info->SetVideoCard("");
    mes_c2s_system_info->SetMemory("");
    mes_c2s_system_info->SetCpu("");
    mes_c2s_system_info->SetOs("Windows");
  #elif defined(__beos__)
    mes_c2s_system_info->SetSoundCard("");
    mes_c2s_system_info->SetVideoCard("");
    mes_c2s_system_info->SetMemory("");
    mes_c2s_system_info->SetCpu("");
    mes_c2s_system_info->SetOs("BeOS");
  #elif defined(macintosh)
    mes_c2s_system_info->SetSoundCard("");
    mes_c2s_system_info->SetVideoCard("");
    mes_c2s_system_info->SetMemory("");
    mes_c2s_system_info->SetCpu("");
    mes_c2s_system_info->SetOs("MacOS");
  #else
    mes_c2s_system_info->SetSoundCard("");
    mes_c2s_system_info->SetVideoCard("");
    mes_c2s_system_info->SetMemory("");
    mes_c2s_system_info->SetCpu("");
    mes_c2s_system_info->SetOs("Unknown");    
  #endif
  }
