#ifndef ARIANNE_TerrainPiece_H 
#define ARIANNE_TerrainPiece_H

#include "general.h"
#include "Tda.h"
#include "AList.h"
#include "Terrain.h"

class TerrainPiece
  {
  public:
  Uint32 x_init,y_init,x_end,y_end;
  AList<Terrain> *Terrains;

  TerrainPiece();
  ~TerrainPiece();

  Uint32 GetSize();
  void ToVector(AVector *Vector);
  void FromVector(AVector *Vector);

  void Clear();

  BOOL isInside(Uint32 x,Uint32 y);
  BOOL isInside(Terrain *piece);

  Terrain *GetTerrain(Uint32 x1,Uint32 y1,Uint32 z1);
  void AddTerrain(Terrain *Terrain);
  BOOL UpdateTerrain(Terrain *Terrain);
  BOOL RemoveTerrain(Terrain *Terrain);
  BOOL RemoveTerrain(Uint32 x1,Uint32 y1,Uint32 z1);

  void isInRange(AList<Terrain> *list,Uint32 x1,Uint32 y1,Uint32 x2,Uint32 y2);

  BOOL isNeighbor(TerrainPiece *tmp);
  Uint32 GetNumTerrains();
  };

#endif