/***************************************************************************
                          templock.cpp  -  description
                             -------------------
    begin                : Sat Jun 24 2000
    copyright            : (C) 2000 by Ulrich Eckhardt
    email                : Doomster@knuut.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
    A fast and easy way of doing a Mutex
***************************************************************************/

#include "templock.h"
#include "mutex.h"
TempLock::TempLock(Mutex const& mutex):
	m_mutex(const_cast<Mutex&>(mutex))
{
	m_mutex.lock();
}
TempLock::~TempLock()
{
	m_mutex.unlock();
}
