/**

This is the example of the Server of a Socket class example of use

**/

#include <stdio.h>

#include <string.h>

#include "../common/Socket.h"

#include "../common/SocketSet.h"



#define NUM_CLIENTS 32



main(int Num, char **arg)

  {

  Socket **Array=new (Socket*[NUM_CLIENTS]);

  for(Uint8 i=0;i<NUM_CLIENTS;i++) Array[i]=NULL;



  Socket *socket=new Socket();

  SocketSet *socketset=new SocketSet(NUM_CLIENTS+1);







  socket->ResolveHost(NULL,6556);

  socket->Open();

  socketset->Add(socket);

  printf("Creating server socket\n");



  while(1)

    {

	printf("Checking for data on sockets.\n");

	socketset->Check(~0);



	if(socketset->isReady(socket)==TRUE)

	  {

	  Socket *tmp=socket->Accept();



	  for(int i=0;i<NUM_CLIENTS;i++)

	    {

		if(Array[i]==NULL)

		  {

		  printf("New connection accepted.\n");

		  Array[i]=tmp;

		  socketset->Add(tmp);

		  break;

		  }

		}

	  }



	for(int i=0;i<NUM_CLIENTS;i++)

	  {

	  if(Array[i]!=NULL)

	    {

		printf("Checking client %i\n",i);

	    if(socketset->isReady(Array[i]))

  	      {

		  Uint8 Length,Error;

		  char *String=new char[256];



		  Error=Array[i]->Recv(&Length,1,sizeof(Uint8));

	      if(Error!=sizeof(Uint8)) 

	        {

		    socketset->Del(Array[i]);

		    Array[i]->Close();

		    Array[i]=NULL;

		    }

		  Error=Array[i]->Recv(String,Length,sizeof(char));

	      if(Error!=Length*sizeof(Uint8)) 

	        {

		    socketset->Del(Array[i]);

		    Array[i]->Close();

		    Array[i]=NULL;

		    }



		  printf("Data recieved from client %i : %s\n",i,String);

		  if(strcmp(String,"GO")==0)

		    {

		    socketset->Del(Array[i]);

		    Array[i]->Close();

		    Array[i]=NULL;

			}



		  for(int j=0;j<NUM_CLIENTS;j++)

		    {

		    if((i!=j)&&(Array[j]!=NULL))

			  {

 		      printf("Data sent to client %i\n",j);

			  Error=Array[j]->Send(&Length,1,sizeof(Uint8));

      		  if(Error!=sizeof(Uint8)) 

		        {

			    socketset->Del(Array[i]);

			    Array[i]->Close();

			    Array[i]=NULL;

			    }



			  Error=Array[j]->Send(String,Length,sizeof(char));

		      if(Error!=Length*sizeof(Uint8)) 

		        {

			    socketset->Del(Array[i]);

			    Array[i]->Close();

			    Array[i]=NULL;

			    }

			  }

            }



          delete String;

		  }

		}

	  }





	}





  return 0;

  }

