/***************************************************************************

                          testthread.cpp  -  description

                             -------------------

    begin                : Tue Jul 4 2000

    copyright            : (C) 2000 by Ulrich Eckhardt

    email                : Doomster@knuut.de

 ***************************************************************************/



/***************************************************************************

 *                                                                         *

 *   This program is free software; you can redistribute it and/or modify  *

 *   it under the terms of the GNU General Public License as published by  *

 *   the Free Software Foundation; either version 2 of the License, or     *

 *   (at your option) any later version.                                   *

 *                                                                         *

 ***************************************************************************/



#include "testthread.h"

#include "../common/templock.h"

#include <iostream>

#include <cassert>

using std::cerr;

using std::endl;

Mutex TestThread::m_mutex;

int TestThread::s = 0;



TestThread::TestThread(int val):

	Thread(),

	m_val(val)

{

	TempLock lock(m_mutex);

	cerr << "ctor TestThread:" << threadID() << " (" << m_val << ") " << endl;

	

}

TestThread::~TestThread()

{

	cerr << "dtor TestThread:" << threadID() << " (" << m_val << ") " << endl;

}

int TestThread::threadFunction()

{

	for(int i=0; i< 2*m_val; ++i)

	{

		TempLock lock(m_mutex);

		cerr  << " ID:" << threadID() << " (" << m_val << ") " << i << endl;

		assert(s==0);

		while(s<1000000)

			s++;

		while(s>0)

			s--;

	}

	

	return 5;

}