#include "ReportGenerator.h"

void ReportGenerator::GenerateHTML()
  {
  FILE *Handle=fopen(DataLoader::GetReportHTMLFile(),"wb");
  if(Handle!=NULL)
    {
    fprintf(Handle,"<html>\n");
    fprintf(Handle,"<head>\n");
    fprintf(Handle,"<title>Arianne Server Report Document</title>\n");
    fprintf(Handle,"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n");
    fprintf(Handle,"</head>\n");
    fprintf(Handle,"\n");
    fprintf(Handle,"<body bgcolor=\"#CCCCFF\">\n");
    fprintf(Handle,"<table width=\"607\" border=\"0\" bgcolor=\"#000099\" bordercolor=\"#000099\" bordercolordark=\"#000099\" bordercolorlight=\"#000099\" vspace=\"0\" hspace=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td bordercolor=\"#000099\" width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#000099\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#000099\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"2%\" bgcolor=\"#000099\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td bgcolor=\"#FFFFFF\" colspan=\"2\"> \n");
    fprintf(Handle,"      <h1 align=\"center\"><img src=\"miguellogo.jpg\" width=\"499\" height=\"182\"></h1>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\" bgcolor=\"#000099\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <h2>Server description</h2>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"<div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\" bgcolor=\"#000099\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\" bgcolor=\"#000099\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <h2>Server Info</h2>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\" bgcolor=\"#000099\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Server description</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%s</div>\n",(const char *)ServerDescription);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\" bgcolor=\"#000099\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Server started at</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%s</div>\n",(const char *)(StartUpTime));
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\" bgcolor=\"#000099\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Server IP address</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%s</div>\n",(const char *)ServerIPAddress);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\" bgcolor=\"#000099\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Server Uptime</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%.1f seconds</div>\n",SecondsSinceStart);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\" bgcolor=\"#000099\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote>&nbsp;</blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <h2>Actual Info</h2>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote>&nbsp;</blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <h2>Actual Object Info</h2>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Human Players</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i</div>\n",NumPlayers);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>AI Players</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%s</div>\n","(Disabled due to code changes)");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\" height=\"27\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\" height=\"27\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Total Objects</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\" height=\"27\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i</div>\n",world->GetNumObjects());
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\" height=\"27\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote>&nbsp;</blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <h2>Actual Network Info</h2>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Data sent since last report</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">(value) bytes</div>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Data recieved since last report</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">(value) bytes</div>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote>&nbsp;</blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <h2>Info since begin of the service</h2>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote>&nbsp;</blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\" height=\"20\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\" height=\"20\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <h2>Players</h2>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\" height=\"20\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\" height=\"20\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Players</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i</div>\n",NumPlayersSinceStart);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote>&nbsp;</blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <h2>Network Info</h2>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Data sent</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i bytes</div>\n",DataSent);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p> Data sent <font size=\"1\">( KB/s )</font></p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%.3f KB/s</div>\n",((float)DataSent/1024.0)/(float)SecondsSinceStart);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Data recieved</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i bytes</div>\n",DataRecv);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Data recieved <font size=\"1\">( KB/s )</font></p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%.3f KB/s</div>\n",((float)DataRecv/1024.0)/(float)SecondsSinceStart);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>&nbsp;</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <h2>Errors Info</h2>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Errors on connections</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i</div>\n",netMan->GetErrors());
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <p>Zombie characters killed</p>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i</div>\n",ErrorsOnZombieCharacters);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote>&nbsp;</blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <h2>System Statistics</h2>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <h3>Operating System</h3>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <blockquote> \n");
    fprintf(Handle,"              <p>BeOS</p>\n");
    fprintf(Handle,"            </blockquote>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i</div>\n",OS_BeOS);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <blockquote> \n");
    fprintf(Handle,"              <p>Linux</p>\n");
    fprintf(Handle,"            </blockquote>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i</div>\n",OS_Linux);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <blockquote> \n");
    fprintf(Handle,"              <p>MacOS</p>\n");
    fprintf(Handle,"            </blockquote>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i</div>\n",OS_MacOS);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <blockquote> \n");
    fprintf(Handle,"              <p>Windows</p>\n");
    fprintf(Handle,"            </blockquote>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i</div>\n",OS_Windows);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <blockquote> \n");
    fprintf(Handle,"          <blockquote> \n");
    fprintf(Handle,"            <blockquote> \n");
    fprintf(Handle,"              <p>Unknown</p>\n");
    fprintf(Handle,"            </blockquote>\n");
    fprintf(Handle,"          </blockquote>\n");
    fprintf(Handle,"        </blockquote>\n");
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <blockquote> \n");
    fprintf(Handle,"        <div align=\"right\">%i</div>\n",OS_Unknown);
    fprintf(Handle,"      </blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\" bgcolor=\"#CCCCCC\"> \n");
    fprintf(Handle,"      <blockquote>&nbsp;</blockquote>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"30%\" bgcolor=\"#99CCFF\"> \n");
    fprintf(Handle,"      <div align=\"left\"> &nbsp;</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td bgcolor=\"#CCCCCC\" colspan=\"2\"> \n");
    fprintf(Handle,"      <div align=\"right\">(c) 2000 Arianne Developers Team</div>\n");
    fprintf(Handle,"    </td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"  <tr> \n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"66%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"30%\">&nbsp;</td>\n");
    fprintf(Handle,"    <td width=\"2%\">&nbsp;</td>\n");
    fprintf(Handle,"  </tr>\n");
    fprintf(Handle,"</table>\n");
    fprintf(Handle,"</body>\n");
    fprintf(Handle,"</html>\n");
    fprintf(Handle,"\n");

    fclose(Handle);
    }
  }